%global gdate	20240812
%global commit0 223c650061468b0da92c83755602e276b6fd36b1
%define piname	iacfleet_pi
%define majname  IACFleet
%global rel 2
%define _disable_ld_no_undefined 1
%global ocpnlibscommit0 1a6c1a7ba74c5bb0fdf141d7d21230f49929fcdc

Name:		opencpn-iacfleet-plugin
Summary:	Plugin for OpenCpn for visualizing data in weather bulletins
Version:	0.32.0
Release:	%mkrel 5.git%{?gdate}.%{rel}
License:	GPLv3+
Group:		Geography
URL:		https://github.com/nohal/%{piname}
%if 0%{!?gdate:1}
Source0:	https://github.com/nohal/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz
%else
Source0:	 https://github.com/nohal/%{piname}/archive/%{commit0}/%{piname}-%{commit0}.tar.gz
%endif
Source1:    https://github.com/OpenCPN/opencpn-libs/archive/%{ocpnlibscommit0}/opencpn-libs-%{ocpnlibscommit0}.tar.gz
Patch0:     opencpn-libs-1a6c1a7-tinyxml.patch
Patch1:     opencpn-libs-1a6c1a7-json.patch
Patch2:     opencpn-libs-1a6c1a7-ocpn_plugin.patch
Patch3:     iacfleet_pi-223c65-GetArch.patch

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:  pkgconfig(jsoncpp)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
IAC Fleet Code plugin for opencpn visualizes the encoded data issued as part of
the weather bulletins.

The IAC Fleet Code provides size effective encoded synoptic charts for several
areas of the world, especially useful with slow and limited connection to the
Internet.

Coverage areas:
* South Pacific weather issued by Fiji Meteorologica Service in Nadi and
available from Saildocs
* Weather over Brazil and adjacent parts of Pacific and Atlantic oceans,
including direct download of the data from the Internet
* Weather analysis and 24 hour forecast for North Atlantic and Europe
issued by NOAA, including direct download of the data from the Internet.

%prep
%setup -a1 -n %{piname}-%{?commit0}%{!?commit0:%version}

%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1

mv opencpn-libs-%{ocpnlibscommit0}/{.,}* opencpn-libs/

%build
%cmake
%cmake_build



%install

mkdir -p %{buildroot}%{_libdir}/opencpn
mkdir -p %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data
mkdir -p %{buildroot}%{_datadir}/locale

install -Dpm755 %{_vpath_builddir}/lib%{piname}.so %{buildroot}%{_libdir}/opencpn/
install -Dpm644 data/* %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data/

%ifarch x86_64 i586
mv %{_vpath_builddir}/app/IACFleet-0.32-mageia-*/share/locale/ %{buildroot}%{_datadir}
%endif

%ifarch aarch64
mv %{_vpath_builddir}/app/IACFleet-0.32-mageia-A64-*/share/locale/ %{buildroot}%{_datadir}
%endif

%ifarch armv7hl
mv %{_vpath_builddir}/app/IACFleet-0.32-mageia-*/share/locale/ %{buildroot}%{_datadir}
%endif

%files 
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/iacfleet_pi/
%{_datadir}/locale/


%changelog
* Mon Apr 28 2025 philippedidier <philippedidier> 0.32.0-5.git20240812.2.mga10
+ Revision: 2179700
- correct typo

* Mon Apr 28 2025 philippedidier <philippedidier> 0.32.0-4.git20240812.2.mga10
+ Revision: 2179599
- new git clone little patch added for GCC 15.1.0

* Sat Jan 13 2024 philippedidier <philippedidier> 0.32.0-3.git20231206.2.mga10
+ Revision: 2030975
- add forgotten BuildRequires:  pkgconfig(jsoncpp)

* Wed Jan 10 2024 philippedidier <philippedidier> 0.32.0-3.git20231206.1.mga10
+ Revision: 2029703
- new version 0.32.0-git20231206

* Tue May 30 2023 philippedidier <philippedidier> 0.32.0-2.mga9
+ Revision: 1960045
- correct installation on armv7hl and aarch64
- new version 0.32.0.0 built upon wxgtku 3.2

* Sun Apr 03 2022 umeabot <umeabot> 0.21.1-3.mga9
+ Revision: 1842498
- Mageia 9 Mass Rebuild

* Mon Jul 12 2021 barjac <barjac> 0.21.1-2.mga9
+ Revision: 1735754
- Build with wxgtku3.0 not 3.1

* Mon Jun 21 2021 barjac <barjac> 0.21.1-1.mga9
+ Revision: 1731550
- Use correct version 0.21.1
- Update %%files section
- new version 0.5
- use upstream tarball

* Fri Jan 01 2021 wally <wally> 0.21-6.mga8
+ Revision: 1667712
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 0.21-5.mga8
+ Revision: 1614353
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 daviddavid <daviddavid> 0.21-4.mga8
+ Revision: 1539487
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Nov 12 2019 wally <wally> 0.21-3.mga8
+ Revision: 1459478
- rebuild for wxgtk 3.1.3

* Sat Jul 13 2019 wally <wally> 0.21-2.mga8
+ Revision: 1421017
- rebuild with gtk3 enabled wxgtk 3.1.2

* Wed Mar 13 2019 barjac <barjac> 0.21-1.mga7
+ Revision: 1375634
- new version 0.21

* Wed Jan 30 2019 barjac <barjac> 0.20-1.mga7
+ Revision: 1361977
- new version 0.20

* Sun Sep 23 2018 umeabot <umeabot> 0.10-3.mga7
+ Revision: 1299995
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 0.10-2.mga7
+ Revision: 1239508
- fix build on aarch64

* Wed Apr 11 2018 barjac <barjac> 0.10-1.mga7
+ Revision: 1217679
- new version 0.10

* Sat Jun 03 2017 akien <akien> 0.9-2.mga6
+ Revision: 1106111
- Rebuild for wxgtk 3.0.3.1

* Mon Oct 10 2016 barjac <barjac> 0.9-1.mga6
+ Revision: 1059876
- new version 0.9
- fix files list

* Thu Jun 02 2016 daviddavid <daviddavid> 0.8-4.mga6
+ Revision: 1019831
- rebuild for wxgtk3.0 built with GTK2

* Tue Feb 16 2016 barjac <barjac> 0.8-3.mga6
+ Revision: 962340
- changed buildrequire wxgtku3.0

* Tue Feb 16 2016 umeabot <umeabot> 0.8-2.mga6
+ Revision: 961931
- Mageia 6 Mass Rebuild

* Tue Dec 08 2015 barjac <barjac> 0.8-1.mga6
+ Revision: 908773
- new package opencpn-iacfleet-plugin

